How to create diagnostics report, OS X 10.8.5, 1Password 3.

The Troubleshooting app requires OS X 10.9, but my Mac can't upgrade past 10.8.5. Presumably there was an old way to get a Dx report before the app... Can anyone point me? The link from Help menu inside 1pw 3 says I do not have permission. Need Dx for report to 1pw support, trying to get help to upgrade in stages. Thx!


1Password Version: Version 3.8.22, 1Password 3 (Family)
Extension Version: No extensions in use.
OS Version: OS X 10.8.5
Sync Type: Dropbox
Referrer: forum-search:Create a diagnostics report, OS X 10.8.5, 1Password 3

Comments

  • brentybrenty

    Team Member

    @2G2MacB: I legitimately don't know. I seem to recall one update or another breaking the diagnostic report tool years ago (1Password 3 only supports Mac OS X Snow Leopard and Lion, after all), but I couldn't tell you the specifics now, as it's been at least half a decade since then. 1Password 3 is definitely not supported on Mountain Lion, and it has not and will not be updated further since it's last (2012?) release. I believe Dropbox also dropped support for Mountain Lion years ago, browsers did, and certainly Apple did 3 years following its release. So you're going to have trouble no matter what. But if you'll tell me what the actual problem you're having is, I'll let you know if I can suggest something.

  • Thanks anyway Brenty but not very helpful. As I am already working w 1Password support, I only need info if anyone does know how to create a diagnostics report without the Troubleshooting app. I don't need repeated emphasis on how many years out of date all the software is. Obviously I already know what I am working with; I already am trying to get it all updated; and as this is a forum for Legacy 3 & 4 support, we should be able to be safe in asking these questions without getting scolded.

  • brentybrenty

    Team Member
    edited October 2018

    @2G2MacB: No one will be "scolded", I promise. :lol: "1Password 3 & 4 support" works for Macs that actually support those versions though. This is sort of like asking how to get System 7 Oregon Trail to run on a Mac Pro, if that helps put things in perspective. The difficulty is that 1Password 3 predates the 1Password Troubleshooting Tool on our website by many years. As such, it runs on more recent versions of macOS, as you note. 1Password 3 diagnostics were always generated from the Help menu, but of course that won't work on an unsupported OS due to changes under the hood. There is quite possibly a solution to whatever the actual problem you're having is that doesn't involve a diagnostics report. But no matter what, I can't possibly even help you if you won't even tell me what the problem is. :tongue:

Leave a Comment

BoldItalicStrikethroughOrdered listUnordered list
Emoji
Image
Align leftAlign centerAlign rightToggle HTML viewToggle full pageToggle lights
Drop image/file